Subject: [SWIPL] SWI-Prolog - Definite Clause Grammar

From: "Dichev, Christo" <[email-masked]>
Date: Tue, 16 Oct 2001 10:24:50 -0400

I am not an experienced SWI-Prolog  user and I want to experiment with some
of the problems 
from the Language Processing chapter given in the Bratko's  book. I know
that many Prolog 
implementations support  DCG (with its special notation "-->").  May be
"phrase/2" or 
 "phrase/3"  are provided for that purpose, but I don't know how to use
them.
Is it possible to express in SWI-Prolog grammar rules in the form:

	s --> [a],[b].
	s --> [a],s, [b].

Any assistance would be appreciated.

Thanking in advance,
Christo